import { BasePatches } from '../patches/base';
export declare abstract class GlobalSection extends BasePatches {
    protected data: any;
    protected static fileName?: string;
    protected static applicableKinds: string[];
    abstract __validate(): Promise<boolean>;
    constructor(data: any);
    static FILE_NAME(): string;
    validate(): Promise<boolean>;
    patches(claim: any, previousCR: any): Promise<any[]>;
}
export declare class GlobalSectionError extends Error {
    constructor(message: string);
}
